通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Configuration Group Schemas - List By Publisher

获取发布者下配置组架构的信息。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/configurationGroupSchemas?api-version=2023-09-01

URI 参数

名称 必需 类型 说明
publisherName
path True

string

maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$

发布者的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 名称不区分大小写。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

api-version
query True

string

minLength: 1

用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

ConfigurationGroupSchemaListResult

请求成功。 该作返回生成的配置组架构资源。

Other Status Codes

ErrorResponse

描述操作失败的原因的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Get networkFunctionDefinition groups under publisher resource

示例请求

GET https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HybridNetwork/publishers/testPublisher/configurationGroupSchemas?api-version=2023-09-01

示例响应

{
  "value": [
    {
      "name": "testConfigurationGroupSchema",
      "id": "/subscriptions/subid/resourcegroups/testRG/providers/microsoft.hybridnetwork/publishers/testPublisher/configurationGroupSchemas/interconnectgroupsSchema",
      "type": "Microsoft.HybridNetwork/publishers/configurationGroupSchemas",
      "systemData": {
        "createdBy": "user1",
        "createdByType": "User",
        "createdAt": "2020-01-01T17:18:19.1234567Z",
        "lastModifiedBy": "user2",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
      },
      "location": "westUs2",
      "properties": {
        "provisioningState": "Accepted",
        "schemaDefinition": "{\"type\":\"object\",\"properties\":{\"interconnect-groups\":{\"type\":\"object\",\"properties\":{\"type\":\"object\",\"properties\":{\"name\":{\"type\":\"string\"},\"international-interconnects\":{\"type\":\"array\",\"item\":{\"type\":\"string\"}},\"domestic-interconnects\":{\"type\":\"array\",\"item\":{\"type\":\"string\"}}}}},\"interconnect-group-assignments\":{\"type\":\"object\",\"properties\":{\"type\":\"object\",\"properties\":{\"ssc\":{\"type\":\"string\"},\"interconnects-interconnects\":{\"type\":\"string\"}}}}},\"required\":[\"interconnect-groups\",\"interconnect-group-assignments\"]}",
        "description": "Schema with no secrets"
      }
    }
  ]
}

定义

名称 说明
ConfigurationGroupSchema

配置组架构资源。

ConfigurationGroupSchemaListResult

配置组架构资源的列表。

ConfigurationGroupSchemaPropertiesFormat

配置组架构属性。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ProvisioningState

当前预配状态。

systemData

与创建和上次修改资源相关的元数据。

versionState

配置组架构版本状态。

ConfigurationGroupSchema

配置组架构资源。

名称 类型 说明
id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

资源所在的地理位置

name

string

资源的名称

properties

ConfigurationGroupSchemaPropertiesFormat

配置组架构属性。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

tags

object

资源标记。

type

string

资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

ConfigurationGroupSchemaListResult

配置组架构资源的列表。

名称 类型 说明
nextLink

string

用于获取下一组结果的 URL。

value

ConfigurationGroupSchema[]

配置组架构的列表。

ConfigurationGroupSchemaPropertiesFormat

配置组架构属性。

名称 类型 说明
description

string

架构可以包含的说明。

provisioningState

ProvisioningState

配置组架构资源的预配状态。

schemaDefinition

string

定义配置值的名称和值对。 它可以是格式良好的转义 JSON 字符串。

versionState

versionState

配置组架构版本状态。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ProvisioningState

当前预配状态。

说明
Unknown
Succeeded
Accepted
Deleting
Failed
Canceled
Deleted
Converging

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。

versionState

配置组架构版本状态。

说明
Unknown
Preview
Active
Deprecated